> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkout Order

> Checkout the Order.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/orders/{publicOrder_uuid}/checkout
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder_uuid}/checkout:
    post:
      tags:
        - Order
      summary: Checkout Order
      description: Checkout the Order.
      operationId: checkoutOrder
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: unde
        - name: publicOrder_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 010e7070-c0f9-34aa-93c4-61dce84812c2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      order:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: a498a6ae-b40b-3b5e-966d-70792ca08e78
                          status:
                            type: string
                            example: draft
                          placed_at:
                            type: string
                            example: '2025-06-14T00:04:01+00:00'
                          expires_at:
                            type: string
                            example: '2026-03-11T14:05:30+00:00'
                          sub_total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '5721.00'
                              amount_minor:
                                type: integer
                                example: 572100
                          discount_total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '0.00'
                              amount_minor:
                                type: integer
                                example: 0
                          tax_total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '0.00'
                              amount_minor:
                                type: integer
                                example: 0
                          credits_total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '0.00'
                              amount_minor:
                                type: integer
                                example: 0
                          total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '5721.00'
                              amount_minor:
                                type: integer
                                example: 572100
                          remaining_total:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '5721.00'
                              amount_minor:
                                type: integer
                                example: 572100
                          total_before_tax:
                            type: object
                            properties:
                              currency:
                                type: string
                                example: USD
                              amount:
                                type: string
                                example: '5721.00'
                              amount_minor:
                                type: integer
                                example: 572100
                          tax_breakdown:
                            type: array
                            items:
                              type: object
                              properties:
                                amount:
                                  type: object
                                  properties:
                                    currency:
                                      type: string
                                      example: USD
                                    amount:
                                      type: string
                                      example: '0.00'
                                    amount_minor:
                                      type: integer
                                      example: 0
                                code:
                                  type: string
                                  example: Test Tax
                                name:
                                  type: string
                                  example: some-tax
                                rate:
                                  type: integer
                                  example: 10
                                calculator_type:
                                  type: string
                                  example: percent
                            example:
                              - amount:
                                  currency: USD
                                  amount: '0.00'
                                  amount_minor: 0
                                code: Test Tax
                                name: some-tax
                                rate: 10
                                calculator_type: percent
                          discount_breakdown:
                            type: array
                            items:
                              type: object
                              properties:
                                amount:
                                  type: object
                                  properties:
                                    currency:
                                      type: string
                                      example: USD
                                    amount:
                                      type: string
                                      example: '0.00'
                                    amount_minor:
                                      type: integer
                                      example: 0
                                code:
                                  type: string
                                  example: Test Discount
                                name:
                                  type: string
                                  example: some-discount
                                rate:
                                  type: integer
                                  example: 10
                                calculator_type:
                                  type: string
                                  example: percent
                            example:
                              - amount:
                                  currency: USD
                                  amount: '0.00'
                                  amount_minor: 0
                                code: Test Discount
                                name: some-discount
                                rate: 10
                                calculator_type: percent
                      payment_response:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                example:
                  data:
                    order:
                      uuid: a498a6ae-b40b-3b5e-966d-70792ca08e78
                      status: draft
                      placed_at: '2025-06-14T00:04:01+00:00'
                      expires_at: '2026-03-11T14:05:30+00:00'
                      sub_total:
                        currency: USD
                        amount: '5721.00'
                        amount_minor: 572100
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      credits_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '5721.00'
                        amount_minor: 572100
                      remaining_total:
                        currency: USD
                        amount: '5721.00'
                        amount_minor: 572100
                      total_before_tax:
                        currency: USD
                        amount: '5721.00'
                        amount_minor: 572100
                      tax_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Tax
                          name: some-tax
                          rate: 10
                          calculator_type: percent
                      discount_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Discount
                          name: some-discount
                          rate: 10
                          calculator_type: percent
                    payment_response:
                      key: value
              example:
                data:
                  order:
                    uuid: a498a6ae-b40b-3b5e-966d-70792ca08e78
                    status: draft
                    placed_at: '2025-06-14T00:04:01.0000000+00:00'
                    expires_at: '2026-03-11T14:05:30.0000000+00:00'
                    sub_total:
                      currency: USD
                      amount: '5721.00'
                      amount_minor: 572100
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '5721.00'
                      amount_minor: 572100
                    remaining_total:
                      currency: USD
                      amount: '5721.00'
                      amount_minor: 572100
                    total_before_tax:
                      currency: USD
                      amount: '5721.00'
                      amount_minor: 572100
                    tax_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Tax
                        name: some-tax
                        rate: 10
                        calculator_type: percent
                    discount_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Discount
                        name: some-discount
                        rate: 10
                        calculator_type: percent
                  payment_response:
                    key: value
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````